/*=============================================================================
Vitalnix/C-spark - User Management UI
global.h - Global header file
  Copyright (C) Jan Engelhardt <jengelh [at] linux01 gwdg de>, 2002 - 2004
  -- License restrictions apply (Dual FAL/GPL2).
  -- For details see doc/FAL.txt and doc/GPL2.txt.
  $Id: global.h,v 1.7 2004/03/11 14:45:06 hirogen2 Exp $
=============================================================================*/
#ifndef _CSPARK_GLOBAL_H
#define _CSPARK_GLOBAL_H 1

#ifdef __cplusplus
extern "C" {
#endif

#define MAXFNLEN 512  /* max length for filename buffer */
#define MAXLNLEN 1024 /* max length for line buffer */
#define MAXSNLEN 128  /* max length for a short line */

typedef unsigned char byte;

enum {
    AFLUSH_OFF = 0,
    AFLUSH_ON,
    AFLUSH_DEFAULT,
    AFLUSH_POSTADD,
};

struct optmap_s {
    char *progv, *progd,    // program version, date
         *f_lock, *f_skeld, // path to lockfile and skeleton dir (if any)
         *p_pager,          // path and args to favorite pager
         *f_shell,          // default shell for new users
         *f_home;           // home base

    // Extra progs
    char *master_preadd, *master_postadd, *master_predel,
     *master_postdel, *user_preadd, *user_postadd, *user_predel,
     *user_postdel;

    byte b_pwphon;          // use phonetic passwords
    byte c_aflush, c_crymeth, c_split;
    int  i_pswdlen;
};

// admin.c
extern void print_pwlist(void);

// data.c
extern char *fixup_login_name(const char *, unsigned int, char *, size_t);
extern char *make_login_name(const char *, const char *);
extern int only_digits(const char *);

// file.c
extern int create_home(const char *, long, long);
extern int copy_file(const char *, const char *);
extern int copy_dir(const char *, const char *, long, long);
extern int file_exists(const char *);

// main.c
extern struct optmap_s Optmap;

// user.c
extern int db_open(void);
extern void db_close(void);
extern void import_ds(void);

#ifdef __cplusplus
} // extern "C"
#endif

#endif /* _CSPARK_GLOBAL_H */

//==[ End of file ]============================================================
