Name: vitalnix
Version: 1.0.25.0
Release: 1
Group: System/Base
Packager: Jan Engelhardt <jengelh [at] linux01 gwdg de>
URL: http://%name.sf.net/
Summary: Vitalnix User Management Suite

Vendor: HX/Vitalnix
Source: http://prdownloads.sourceforge.net/%name/%name-%version.tbz2
%define source http://heanet.dl.sourceforge.net/sourceforge/%name/%name-%version.tbz2
License: FAL,GPL2,LGPL2

# Sometimes, automatic ReqProv just finds too much
BuildRoot: %_tmppath/%name-%version-build
AutoReqProv: no
Provides: libaccdb.so.0.0
Requires: libHX.so.0 libc.so.6 libdl.so.2 libpopt.so.0 libpthread.so.0 libxml2.so.2

%description
Vitalnix is a User Management Suite, complete with a user database framework
and ACCDB-capable tools, as well as a CUI for administrating users.

ACCDB is the Unified Account Database, which provides a unified API to all
outside applications who wish to access the user database, be it Shadow
(/etc/passwd), LDAP, or anything else. The back-ends in turn can do anything
underneath it wishes or requires to, it is up to the back-end. ACCDB can even
use multiple user databases simultaneously, if wanted.

It also comes with a group of tools, collectively named the SparkUI. It is a
tool for the mass (un)registration of users within the system user database,
but also provides support for single users. deletes users. It thus removes the
need for adding each user manually. Currently, there is C-spark which runs on
the console.

Authors:
--------
    Jan Engelhardt <jengelh [at] linux01 gwdg de>
    Cristoph Thiel <cthiel [at] linux01 gwdg de>

%prep
cd "$RPM_SOURCE_DIR"/;
copy_from_local=0;
if [ ! -e %name-%version.tbz2 ]; then
    if [ -d /home/hirogen2/f/%name ]; then
        copy_from_local=1;
    else
        wget -c %source;
    fi;
fi;

cd "$RPM_BUILD_DIR"/;
rm -Rf %name %name-%version;
if [ "$copy_from_local" == "1" ]; then
    cp -Rav /home/hirogen2/f/%name ./;
    mv %name %name-%version;
    make -C %name-%version cleanx;
else
    tar -jvxf %name-%version.tbz2;
fi;

%build
cd "$RPM_BUILD_DIR"/%name-%version/;

%ifarch i686
gmake -j2 MARCH=i686 MCPU=i686 DEBUG=0 GXMALLOC=0;
%else
%ifarch i586
gmake -j2 MARCH=i586 MCPU=i586 DEBUG=0 GXMALLOC=0;
%else
gmake -j2 DEBUG=0 GXMALLOC=0;
%endif
%endif

%install
if [ "$RPM_BUILD_ROOT" != "/" -a -d "$RPM_BUILD_ROOT" ]; then
    rm -Rf "$RPM_BUILD_ROOT";
fi;

cd "$RPM_BUILD_DIR"/%name-%version/;
gmake install PREFIX="$RPM_BUILD_ROOT" DEBUG=0;

dest="$RPM_BUILD_ROOT"/usr/lib/%name;
install -d "$dest";
cp supply/mkgroupdir "$dest"/;

dest="$RPM_BUILD_ROOT"/usr/share/doc/packages/%name;
install -d "$dest";
cp -Rav doc "$dest"/;

%files
# Vitalnix
/usr/share/doc/packages/%name
#/var/lib/vitalnix

# libaccdb
%config /etc/autouid
%config /etc/libaccdb/accdb
/usr/include/accdb.h
/usr/include/accdb_int.h
/usr/lib/libaccdb.so
/usr/lib/libaccdb.so.0
/usr/lib/libaccdb.so.0.0

# ACCDB bakcend modules
%config /etc/libaccdb/mig
%config /etc/libaccdb/shadow
%config /etc/libaccdb/slane
/usr/lib/accdb_dummy.so
/usr/lib/accdb_mig.so
/usr/lib/accdb_shadow.so
/usr/lib/accdb_slane.so

# sysprog
%config /etc/useradd.conf
%config /etc/usermod.conf
%config /etc/userdel.conf
%config /etc/groupadd.conf
%config /etc/groupmod.conf
%config /etc/groupdel.conf
%config /etc/slaned.cfg
/usr/sbin/vuseradd
/usr/sbin/vusermod
/usr/sbin/vuserdel
/usr/sbin/vgroupadd
/usr/sbin/vgroupmod
/usr/sbin/vgroupdel
/usr/sbin/slaned

# supply programs
/etc/init.d/slaned
/usr/lib/%name

# SparkUI
%config /etc/spark.cfg
/usr/sbin/cspark
